Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 408151 - =dev-perl/Cairo-1.103.0: please stabilize
Summary: =dev-perl/Cairo-1.103.0: please stabilize
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo Perl team
URL: https://rt.cpan.org/Ticket/Display.ht...
Whiteboard: WAS: dev-perl/Cairo-1.90.0 with dev-l...
Keywords: STABLEREQ
Depends on:
Blocks:
 
Reported: 2012-03-14 10:43 UTC by Kent Fredric (IRC: kent\n)
Modified: 2014-04-18 17:36 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) gentoo-dev 2012-03-14 10:43:48 UTC
This is perl 5, version 14, subversion 2 (v5.14.2) built for x86_64-linux-thread-multi


PERL_DL_NONLAZY=1 /usr/bin/perl5.14.2 "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
make --jobs=10 --load-average=4.0 test TEST_VERBOSE=0
t/Cairo.t ......... ok     
t/CairoFont.t ..... ok     
t/CairoFt.t ....... skipped: need Cairo with FreeType support and Font::FreeType
t/CairoMatrix.t ... ok     
t/CairoPath.t ..... Dubious, test returned 6 (wstat 1536, 0x600)
Failed 6/6 subtests                                                                                                                                                                                                  [673/30208]

#   Failed test at t/CairoPath.t line 37.
#     Structures begin differing at:
#          $got->[4] = Does not exist
#     $expected->[4] = HASH(0x91d4f8)

#   Failed test at t/CairoPath.t line 43.
#     Structures begin differing at:
#          $got->[4] = Does not exist
#     $expected->[4] = HASH(0x91d4f8)

#   Failed test at t/CairoPath.t line 43.
#     Structures begin differing at:
#          $got->[4] = Does not exist
#     $expected->[4] = HASH(0x91d4f8)

#   Failed test at t/CairoPath.t line 43.
#     Structures begin differing at:
#          $got->[4] = Does not exist
#     $expected->[4] = HASH(0x91d4f8)

#   Failed test at t/CairoPath.t line 43.
#     Structures begin differing at:
#          $got->[5] = Does not exist
#     $expected->[5] = HASH(0x91d4f8)
#   Failed test at t/CairoPath.t line 88.                                                                                                                                                                            [646/30208]
#     Structures begin differing at:
#          $got->[5] = Does not exist
#     $expected->[5] = HASH(0x91d4f8)
# Looks like you failed 6 tests of 6.
t/CairoPattern.t .. ok     
t/CairoRegion.t ... ok     
t/CairoSurface.t .. ok     

Test Summary Report
-------------------
t/CairoPath.t   (Wstat: 1536 Tests: 6 Failed: 6)
  Failed tests:  1-6
  Non-zero exit status: 6
Files=8, Tests=270,  3 wallclock secs ( 0.09 usr  0.02 sys +  0.41 cusr  0.07 csys =  0.59 CPU)
Result: FAIL
Failed 1/8 test programs. 6/270 subtests failed.
make: *** [test_dynamic] Error 255

Portage 2.2.0_alpha90 (default/linux/amd64/10.0, gcc-4.6.2, glibc-2.14.1-r2, 3.1.0-gentoo-r1 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.1.0-gentoo-r1-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9300_@_2.50GHz-with-gentoo-2.1
Timestamp of tree: Tue, 13 Mar 2012 14:00:01 +0000
app-shells/bash:          4.2_p24::<unknown repository>
dev-java/java-config:     2.1.11-r3::<unknown repository>
dev-lang/python:          2.6.7-r2::<unknown repository>, 2.7.2-r3::<unknown repository>, 3.1.4-r3::<unknown repository>, 3.2.2::<unknown repository>
dev-util/cmake:           2.8.7-r5::<unknown repository>
dev-util/pkgconfig:       0.26::<unknown repository>
sys-apps/baselayout:      2.1::<unknown repository>
sys-apps/openrc:          0.9.9.3::<unknown repository>
sys-apps/sandbox:         2.5::<unknown repository>
sys-devel/autoconf:       2.13::<unknown repository>, 2.68::<unknown repository>
sys-devel/automake:       1.4_p6-r1::<unknown repository>, 1.5-r1::<unknown repository>, 1.7.9-r2::<unknown repository>, 1.8.5-r4::<unknown repository>, 1.9.6-r3::<unknown repository>, 1.10.3::<unknown repository>, 1.11.3::<unknown repository>
sys-devel/binutils:       2.22-r1::<unknown repository>
sys-devel/gcc:            4.4.6-r1::<unknown repository>, 4.5.3-r2::<unknown repository>, 4.6.2::<unknown repository>
sys-devel/gcc-config:     1.5.1::<unknown repository>
sys-devel/libtool:        2.4.2::<unknown repository>
sys-devel/make:           3.82-r3::<unknown repository>
sys-kernel/linux-headers: 3.2-r1::<unknown repository> (virtual/os-headers)
sys-libs/glibc:           2.14.1-r2::<unknown repository>

Package Manager Information:
    Package Name              paludis
    Package Version           0.70.1
    Build Date                2012-01-09T00:10:48+1300
    Built with CXX            x86_64-pc-linux-gnu-g++ 4.6.2
    Built with CXXFLAGS        -march=native -mtune=native -O3 -pipe --param l2-cache-size=6144 -mfpmath=sse -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -msahf -ftree-loop-linear -ftree-loop-distribution -ftree-loop-im -floop
-interchange -floop-strip-mine -floop-block -pedantic
    Built with LDFLAGS        -Wl,-O1 -Wl,-z,combreloc -Wl,--sort-common -Wl,--as-needed -Wl,--hash-style=both


Dependencies Installed:

=dev-lang/perl-5.14.2
=dev-perl/Test-Number-Delta-1.30.0
=dev-perl/extutils-depends-0.304.0
=dev-perl/extutils-pkgconfig-1.120.0
=x11-libs/cairo-1.11.2
Comment 1 Torsten Veller (RETIRED) gentoo-dev 2012-04-03 19:32:36 UTC
Did we ever had =x11-libs/cairo-1.11.2 in the tree?

Which combination fails?
I have 
=dev-lang/perl-5.14.2-r1 # from ::perl-experimental
=dev-perl/Cairo-1.90.0
=x11-libs/cairo-1.10.2-r1
installed and the tests do not fail.

The question is: Do we want to stabilize =dev-perl/Cairo-1.90.0. I guess this version is as good as any other version wrt the test failure described in this bug?
Comment 2 Kent Fredric (IRC: kent\n) gentoo-dev 2013-12-24 15:08:30 UTC
Update:

Retried with:

=dev-lang/perl-5.16.3
=x11-libs/cairo-1.12.14-r4

Still fails the same way.

Upstream have this filed under "Old Cairo".

However, testing confirms =dev-perl/Cairo-1.102.0 passes tests satisfactorily.


1.102.0 has been in tree for over a year.
1.103.0 has been in tree for 11 months.
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-03-20 18:50:24 UTC
Lets stabilize =dev-perl/Cairo-1.103.0 and drop old then.

Arches, go ahead.
Comment 4 Jeroen Roovers gentoo-dev 2014-03-28 13:23:15 UTC
Stable for HPPA.
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-04-07 15:47:02 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2014-04-12 09:39:27 UTC
x86 stable
Comment 7 Agostino Sarubbo gentoo-dev 2014-04-13 16:14:08 UTC
ppc stable
Comment 8 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-04-15 18:36:33 UTC
ppc64 stable
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-04-15 18:38:14 UTC
alpha stable
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-04-18 17:35:07 UTC
sparc stable
Comment 11 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-04-18 17:36:53 UTC
ia64 stable, closed.